/**************************************************************************************************/
/*                                                                                                */
/**************************************************************************************************/
/* Author      :                                                                                  */
/* Place       :                                                                                  */
/* Last change :                                                                                  */
/* Version     :                                                                                  */
/**************************************************************************************************/
/* Description :                                                                                  */
/*                                                                                                */
/**************************************************************************************************/
/* To do       :                                                                                  */
/*                                                                                                */
/**************************************************************************************************/


#include <stdio.h>
#include <getopt.h>
#include <stdlib.h>

#include "../inc/main.h"
#include "../inc/source1.h"
#include "../inc/source2.h"

char *program_name;


void PrintUsage( FILE* output, int exit_code )
{

  fprintf( output, "\nUsage %s options []\n", program_name );


  exit( exit_code );

} /*PrintUsage*/


int main(int argc, char **argv)
{


  int next_option;
  char *argument_pointer;

  const char *short_options = "ha:f";
  const struct option long_options[] =
  {
     { "help",     0, NULL, 'h' },
     { "argument", 1, NULL, 'a' },
     { "finish",   0, NULL, 'f' },
     { NULL,       0, NULL, 0   }

  }; /*long_options*/


  program_name = argv[0];


  do {

     next_option = getopt_long( argc, argv, short_options, long_options, NULL );

     switch( next_option )
     {
     case 'h' :
        PrintUsage( stdout, 0 );
        break;

     case 'a' :
        argument_pointer = optarg;
	break;

     case 'f' :
        break;

     case '?':
        PrintUsage( stdout, 1 );
        break;

     case -1:
        break;

     default:
        break;

     }; /*switch*/


  } while( next_option != -1 );


} /*main*/

